/***style.css fuer saintummer.at 10.03.2026**/

body {
  margin: 0 auto;
  padding: 0;
  font-family: Snippet,"Advent Pro", "Rock Salt", "trebuchet ms", serif;
  font-size: 100%;
  max-width: 1800px;
  background-color: #DAD3CC;
  color: #7F7F7F;
}

#outer-wrapper {
  background-color: #FFFFFF;
  color: #000000;
  margin: 0 auto;
  padding: 0 20px 20px 20px;
  margin: 10px 30px;
  border: 5px solid #FFFFFF;
  box-shadow: 0px 2px 8px 1px #7F7F7F;
  -webkit-box-shadow: 0px 2px 8px 1px #7F7F7F; /* WebKit */
  -moz-box-shadow: 0px 2px 8px 1px #7F7F7F; /* Firefox */
}

#inner-wrapper {
  background-color: #FFFFFF;
  color: #000000;
  margin: 0 auto;
  padding: 1px;
  box-shadow: 0px 2px 8px 1px #7F7F7F;
  -webkit-box-shadow: 0px 2px 8px 1px #7F7F7F; /* WebKit */
  -moz-box-shadow: 0px 2px 8px 1px #7F7F7F; /* Firefox */
}

p {
  padding: 10px 4px 4px 4px;
  margin: 0;
}

#topnavi {
  text-align: right;
  padding: 0;
}

.navitop {
  font-family: "Rock Salt", georgia, "trebuchet ms",serif;
  font-size: 1em;
  text-shadow: 1px 1px 0px #FFFFFF, 1px 1px 2px #2F2F2F;
}

.navitop a:link, .navitop a:active, .navitop a:visited {
  color: #4C6289;
  text-decoration: none;
  padding: 3px 10px;
  margin: 0;
}

.navitop a:hover, .navitop a:focus {
  color: #898A62;
  background-color: transparent;
  text-decoration: none;
}

header {
  margin: 0 auto;
}

.headertext {
  color: #005A87;
  font-size: 2em;
  padding: 20px;
  letter-spacing: 5px;
  margin: 0;
  font-variant: small-caps;
  text-shadow: 1px 1px 3px #5F5F5F;
  font-family: "Rock Salt", georgia, "trebuchet ms", serif;
  background-color: #FFFFFF;
  background-image: linear-gradient(#D0D0D0 10%, #FFFFFF 100%);
  background-image: -webkit-linear-gradient(#D0D0D0 10%, #FFFFFF 100%);
}

#hslogo2{
   z-index:1;
   position:absolute;top:45px;right:75px;
}

#bild {
  margin: 0;
  padding: 0;
  z-index:0;
}

/* Hauptteil*/
main {
  color: #3F3F3F;
  padding: 0;
  margin: 0 auto;
  display: block;  /*wegen Fehldarstellung IE*/
}

#main-inner {
  margin: 0 auto;
  padding: 0;
  background-color: #EFEFEF;
  display:table;
}
/* Navigation links*/
aside {
  font-size: 1em;
  width: 25%;
  padding: 10px 0;
  margin: 0;
  display:table-cell;
  vertical-align: top;
  background-color: #99ACCC;
  border-right: 1px solid #FFFFFF;
  box-shadow: 5px 0px 8px 1px #7F7F7F;
  -webkit-box-shadow: 5px 0px 8px 1px #7F7F7F; /* WebKit */
  -moz-box-shadow: 5px 0px 8px 1px #7F7F7F; /* Firefox */
}

aside h2 {
  color: #FFFFFF;
  background-color: transparent;
  font-size: 1.5em;
  font-weight: bold;
  margin: 0;
  padding: 8px;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  letter-spacing: 1px;
  line-height: 20px;
}
nav {
  list-style-type:none;
  padding: 0px;
  margin: 10px 5px;
  text-align: left;
  background-color: transparent;
  font-family: "Rock Salt", georgia, "trebuchet ms",serif;
  font-size: 1em;
  text-shadow: 1px 1px 0px #FFFFFF, 1px 1px 2px #2F2F2F;
}

nav ul {
  list-style-type:none;
  padding: 0;
  margin: 0;
}

nav li {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav ul a:link, nav ul a:visited, nav ul a:active {
  color: #283449;
  background-color: transparent;
  padding: 3px 5px;
  margin: 0;
  text-decoration: none;
  display: block;
  font-weight: normal;
  line-height: 2em;
  border-bottom: 1px solid #FFFFFF;
}

nav ul a:hover, nav ul a:focus {
  font-weight: bold;
  text-decoration: none;
  color: #00324B;
  font-weight: normal;
  background-color: #DAD3CC;
}

.seitenfoto {
 padding: 0;
 margin: 0 auto;
}

/* Inhalt*/
article-pl{
  padding: 10px 0 10px 10px;
  width: 75%;
  margin: 0 auto; 
  font-size: 1.1em;
  font-weight: normal;
  text-align: left;
  line-height: 1.2em;
  display:table-cell;		
}

article {
  padding: 10px 0 10px 10px;
  width: 75%;
  margin: 0 auto;
  font-size: 1em;
  font-weight: normal;
  text-align: left;
  line-height:1.6em;  
  display:table-cell;
}
article h1 {
  font-size: 2.5em;
  margin: 20px 15px 10px 15px;
  color: #99ACCC;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  letter-spacing: 1px;
  text-shadow: 1px 1px 2px #7F7F7F;
}
article h2 {
  color: #283449;
  background-color: inherit;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  font-size: 2em;
  text-align: left;
  margin: 20px 15px 10px 5px;
  padding: 2px;
  text-shadow: 1px 1px 2px #7F7F7F;
}
article h3 {
  color: #898A62;
  background-color: inherit;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  font-size: 1.5em;
  font-style: italic;
  padding-left: 5px;
  text-shadow: 1px 1px 2px #3F3F3F;
  font-weight: normal;
}
article h4 {
  color: #FFFFFF;
  background-color: #99ACCC;
  font-size: 1.313em;
  font-weight: bold;
  margin: 0px;
  padding: 5px;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  letter-spacing: 1px;
  text-shadow: 1px 1px 2px #3F3F3F;
  text-align: center;
}
article h5 {
  color: #99ACCC;
  background-color: inherit;
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  font-size: 1.25em;
  font-weight: bold;
  margin: 2px;
  text-shadow: 1px 1px 2px #9F9F9F;
  padding: 0;
}
article p {
  margin: 8px 2px;
  font-size: 1.25em;
}
 /*unten*/

footer {
  margin: 0 auto;
  padding: 0;
  text-align: center;
  color: #283449;
  background-color: #99ACCC;
}

.fussinhalt  {
  margin: 0 auto;
  font-family: Snippet,"century gothic",georgia,calibri,serif;
  letter-spacing: 1px;
}

div#footerinnerbox1  {
  width: 25%;
  margin: 1% 1% 1% 30%;
  letter-spacing: 1px;
  float:left;
  background-color: transparent;
  text-align: left;
}

div#footerinnerbox1 h2 {
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  margin: 0;
  padding: 0;
  font-size: 1rem;
  font-variant:small-caps;
  background-color: transparent;
  text-align: left;
  color: #FFFFFF;
  border-bottom: 1px solid #FFFFFF;
  line-height: 1.2em;
}

div#footerinnerbox2  {
  margin: 1% 1% 1% 10%;
  padding: 0;
  width: 25%;
  font-family: Snippet,"century gothic",georgia,calibri,serif;
  font-weight: bold;
  float:left;
  text-align: left;
  font-size: 1rem;
  font-weight: normal;
  text-align: justify;
}

div#footerinnerbox2 h2 {
  font-family: "Rock Salt","century gothic",georgia,calibri,serif;
  margin: 0;
  padding: 0;
  font-size: 1rem;
  font-variant:small-caps;
  color: #FFFFFF;
  background-color: transparent;
  text-align: left;
  border-bottom: 1px solid #FFFFFF;
  line-height: 1.4rem;
}

.footermenue {
  list-style-type:none;
  padding: 5px 0px 0px 0px;
  margin: 0;
  text-align: left;
  background-color: transparent;
}

.footerlink {
  text-align: center;
  font-size: 0.5rem;
}

/* allgemeine Angaben*/

a:link, a:visited, a:active {
  color: #283449;
  background-color: transparent;
  text-decoration: none;
  font-weight: bold;
  padding: 0;
  margin: 0;
}
a:hover {
  color: #283449;
  background-color: transparent;
  text-decoration: underline;
}

.clear {
 clear: both;
 margin: 0;
 padding: 0;
 line-height: 1px;
}

img {
  border: 0;
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
}

/*************suh*****/

table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 85%;
}
th,
td {
	border: 1px solid black;
	border-collapse: collapse;
}


/******************/
div.gallery {
  border: 1px solid #ccc;
}

div.gallery:hover {
  border: 4px solid #666;
}

div.gallery img {
  width: 100%;
  height: auto;
}

div.desc {
  padding: 10px;
  text-align: center;
}

* {
  box-sizing: border-box;
}

.responsive {
  padding: 0 6px;
  float: left;
  width: 24%;
  box-shadow: 6px 6px 3px #888888
}


@media only screen and (max-width: 700px) {
  .responsive {
    width: 50%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 500px) {
  .responsive {
    width: 100%;
  }
}

.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

/******/

.jump {
	 color: #213ceb;
}

.red {
	 color: #FF0000;
}

.green {
	 color: #00FF00;
}
.blue {
	 color: #0000FF;
}

.grau {
	 color: #808080;
}

.hellblau {
	 color: #0099FF;
}

.hellgrau {
	 color: #C4C4C4;
}

.italic {
	 font-style: italic;
}

.bold {
	 font-weight: bold;	
}

.small {
	 font-size: small;
}

.larger {
	 font-size: larger;
}

.large {
	 font-size: large;
}

.xl {
	 font-size: x-large;
}

.xxl {
	 font-size: xx-large;
}



.picexpand {
	transition: Transform 0.1s;
}

.picexpand:hover {
	 transform: translate(+150px) scale(2.0, 2.0);
}




.monospace  {
	font-family: "Lucida Console", monospace;
} 

.console2 {
	font-family: "Lucida Console", Courier, monospace;
	background-color: #EfEfEf;
	color: black;
}

.console {
	font-family: "Lucida Console", Courier, monospace;
	background-color: black;
	color: white;
}

.consolewindow{                /*   für Console i/0  Schwarz und weiss **/
    font-family: "Lucida Console", Courier, monospace;
    background: black;
    color: white;
    border-radius: 4px;
    margin: 5px 0;
    border: 1px solid black;
    padding: 5px;

    overflow-x: auto;  /* Scroll bei langen Zeilen */
    overflow-y: auto;  /* Scroll bei vielen Zeilen */
    white-space: pre;  /* Zeilen bleiben wie im HTML */
    box-sizing: border-box;
}

.codewindow {                  /* für Codeview   Grau   mit Clipboard und Scroll **/
	font-family: "Lucida Console", Courier, monospace;
	background: #EfEfEf;
	color: black;
	border-radius: 4px;
	margin: 1px;
	border: 1px solid black; 
	padding: 5px;
	/*    width: 100%;      */
	width: 80ch;        /* Breite = 80 Zeichen */
    max-width: 80%;    /* responsiv */
    overflow-wrap: break-word; 
    white-space: pre-warp;

}

.codewindow object {
    width: 100%;
    height: 100%;
    border: none;
}


/******************/

/******************Besonderheiten für Bildschirmgroesse max. 768px**********************/

@media (max-width: 768px) {

#outer-wrapper {
  margin: 10px;
}

header {
  font-size: 0.7em;
}

.headertext {
  font-size: 1.5em;
  text-align: center;
}

#topnavi {
  float: none;
  text-align: center;
  margin-top: 2px;
  padding-top: 0;
}

.seitenfoto {
  display: none;
}

#main-inner {
  display: block;
  width: 100%;
}

aside {
  width: 100%;
  display: block;
  box-shadow: none;
  -webkit-box-shadow: none; /* WebKit */
  -moz-box-shadow: none; /* Firefox */
}

article {
 margin: 0;
 padding: 0;
 width: 100%;
 font-size: 0.813em;
 display: block;
 text-align: justify;
}

div#footerinnerbox1  {
  width: 95%;
  margin: 0 auto;
  float: none;
  padding: 10px;
}

div#footerinnerbox2  {
  width: 95%;
  margin: 0 auto;
  float: none;
  padding: 10px;
}

}

/*****************Besonderheiten für Bildschirmgroesse max. 640px***********************/

@media (max-width: 640px) {


article h1,article h2,article h3,article h4,article h5 {
  font-size: 1.5em;
}

#outer-wrapper {
  padding: 0;
  margin: 0 auto;
  border: 0px;
  box-shadow: none;
  -webkit-box-shadow: none; /* WebKit */
  -moz-box-shadow: none; /* Firefox */
}

#inner-wrapper {
  padding: 0;
  width: 95%;
  box-shadow: none;
  -webkit-box-shadow: none; /* WebKit */
  -moz-box-shadow: none; /* Firefox */
}

.navitop {
  font-size: 0.75em;
}

.navitop a:link, .navitop a:active, .navitop a:visited {
  padding: 3px;
}

nav {
  font-size: 0.8em;
}

}

/*****************Besonderheiten für Bildschirmgroesse max. 480px***********************/

@media (max-width: 480px) {

.headertext {
  font-size: 1em;
}

div#footerinnerbox1  {
  width: 90%;
}

div#footerinnerbox2  {
  width: 90%;
}

}


